# 加强训练代码

## 运行方法

直接运行training即可

该代码已经包含了基础训练，模型测试等方法

## 文件内容

- data目录：存放数据处理得到的数据集。加强训练主要使用training目录下的数据集，该数据集将数据库中的数据按月进行了划分，并过滤掉了开头大量时间为0的数据。其他数据集与之前的导入结果相同
- dataset目录：重写Pytorch中dataset，使用自己的dataset
- model目录：存放深度学习模型的目录，仅仅使用LSTM模型进行了测试
- save目录：存放代码运行后的模型等
- utils目录：辅助代码

## 特别说明

Training_model.py写了训练模式，包含在特定数据集下进行训练、基本训练，某几天训练，风机数据训练等等。

## 代码调试以及运行方法

- 通过数据处理代码处理得到数据集，替换/data目录中的文件
- 进入/model目录选择自己使用的模型
- 进入/utils/Arg.py设置模型参数以及训练配置
- 进入training.py目录，开始模型基础训练
  - 将model_use设置为False
  - training_model.base_train(model)以下的所有代码进行注释
  - 运行training.py
  - 等待运行完毕，模型会自动保存模型文件为save/lstm_base.pt
- 模型测试，使用ModeTest.test_model(2022, i, "lstm_base_pro.pt") 测试2022年第i个月份的模型准确率
- 加强训练
  - 将model_use设置为True
  - 注释training_model.base_train(model)
  - 选择使用训练模型进行训练
  - 测试模型准确率

