
#!/usr/bin/env python
# -*- coding: utf-8 -*-
# time: 2023/8/3 9:24
# file: test.py
# author: David
# company: shenyang JY


import pandas as pd

data = [[45, 65, 100], [56, 45, 50], [67, 68, 98]]
index = [['张三', '李四', '王五']]
columns = ['数学', '语文', '英语']
df = pd.DataFrame(data=data, index=index, columns=columns)

# 使用列名提取
print(df[['数学', '英语']])
print('------------------------------')
print(df.loc[:, ['数学', '英语']])   # 逗号左侧行，右侧列
print('------------------------------')
print(df.iloc[:, [0, 2]])
print('------------------------------')
# 提取连续的列 从语文到最后
print(df.loc[:, '语文':])
print('------------------------------')
print(df.iloc[:, 1:])
