## 超短期功率预测系统训练端

这个项目将LSTM长短期时序模型用于超短期电力功率预测任务，实现特性如下: 

- 程序简洁、模块化
- 支持可扩展的Keras框架（LSTM，可修改网络层）
- 参数、模型和框架支持高度可定制和修改
- 支持增量训练（在预训练模型上进行微调）
- 支持同时预测多个指标（目前预测实际功率）
- 支持预测任意时间节点数（目前设置16个点）
- 支持训练可视化和记录日志



| 训练case | 表头  |
|--------| ----  |
| 1      | 单元格 |
| 2      | 单元格 |
